View Issue Details

IDProjectCategoryView StatusLast Update
0035357pas2jsrtlpublic2020-02-09 19:13
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Versiontrunk 
Summary0035357: [PATCH] window.cookie
DescriptionHello.

The patch declares this property: https://developer.mozilla.org/en-US/docs/Web/API/Document/cookie


cheers
Additional InformationWhat do you think about to translating this simple cookie "framework" to be part of pas2js? https://developer.mozilla.org/en-US/docs/Web/API/Document/cookie/Simple_document.cookie_framework

If you are OK I could implement it and send a patch.
TagsNo tags attached.
Fixed in Revision673
Attached Files

Activities

silvioprog

2019-04-10 20:26

reporter  

web.pas.diff.0001 (361 bytes)

silvioprog

2019-04-10 21:08

reporter   ~0115405

Oops, I forgot to send the additional property "cookie_: string":


...
  Public
    body : TJSElement;
    cookie: TJSString;
    cookie_: string; external name 'cookie';
...
</>

silvioprog

2019-04-10 21:08

reporter   ~0115406

Oh, and pls change the title from "window.cookie" to "document.cookie". ^^'

Michael Van Canneyt

2020-02-09 19:13

administrator   ~0120977

Applied, thank you very much !

Issue History

Date Modified Username Field Change
2019-04-10 20:26 silvioprog New Issue
2019-04-10 20:26 silvioprog File Added: web.pas.diff.0001
2019-04-10 21:08 silvioprog Note Added: 0115405
2019-04-10 21:08 silvioprog Note Added: 0115406
2019-04-22 23:24 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-04-22 23:24 Michael Van Canneyt Status new => assigned
2020-02-09 19:13 Michael Van Canneyt Status assigned => resolved
2020-02-09 19:13 Michael Van Canneyt Resolution open => fixed
2020-02-09 19:13 Michael Van Canneyt Fixed in Version => trunk
2020-02-09 19:13 Michael Van Canneyt Fixed in Revision => 673
2020-02-09 19:13 Michael Van Canneyt Note Added: 0120977